com.dlsc.flexgantt.swing.action.gantt

## Enum MoveFocusAction.Direction

- java.lang.Object
- - java.lang.Enum<MoveFocusAction.Direction>
  - - com.dlsc.flexgantt.swing.action.gantt.MoveFocusAction.Direction

- All Implemented Interfaces:
    Serializable, Comparable<MoveFocusAction.Direction>
  Enclosing class:
    MoveFocusAction<T extends AbstractGanttChart>

      public static enum MoveFocusAction.Direction
      extends Enum<MoveFocusAction.Direction>

  An enumerator, which lists the different focus changes that are supported by the action.
  Since:
    1.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOVE` A value that will make the action focus the cell above the currently focused cell.
    `BELOW` A value that will make the action focus the cell below the currently focused cell.
    `BOTTOM` A value that will make the action focus on the last cell in the key column.
    `HOME` A value that will make the action focus on the first cell in the key column.
    `NEXT` A value that will make the action focus the cell to the right of the currently focused cell.
    `NEXT_TABLE` A value that will make the action focus on a cell in the same column and the first visible row of the next table.
    `PAGE_DOWN` A value that will make the action focus on a cell in the same column so that the table will scroll down one page.
    `PAGE_UP` A value that will make the action focus on a cell in the same column so that the table will scroll up one page.
    `PREVIOUS` A value that will make the action focus the cell to the left of the currently focused cell.
    `PREVIOUS_TABLE` A value that will make the action focus on a cell in the same column and the first visible row of the previous table.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MoveFocusAction.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MoveFocusAction.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOVE

          public static final MoveFocusAction.Direction ABOVE

      A value that will make the action focus the cell above the currently focused cell.
      Since:
        1.1

    - #### BELOW

          public static final MoveFocusAction.Direction BELOW

      A value that will make the action focus the cell below the currently focused cell.
      Since:
        1.1

    - #### PREVIOUS

          public static final MoveFocusAction.Direction PREVIOUS

      A value that will make the action focus the cell to the left of the currently focused cell.
      Since:
        1.1

    - #### NEXT

          public static final MoveFocusAction.Direction NEXT

      A value that will make the action focus the cell to the right of the currently focused cell.
      Since:
        1.1

    - #### HOME

          public static final MoveFocusAction.Direction HOME

      A value that will make the action focus on the first cell in the key column.
      Since:
        1.1

    - #### BOTTOM

          public static final MoveFocusAction.Direction BOTTOM

      A value that will make the action focus on the last cell in the key column.
      Since:
        1.1

    - #### PAGE_DOWN

          public static final MoveFocusAction.Direction PAGE_DOWN

      A value that will make the action focus on a cell in the same column so that the table will scroll down one page.
      Since:
        1.1

    - #### PAGE_UP

          public static final MoveFocusAction.Direction PAGE_UP

      A value that will make the action focus on a cell in the same column so that the table will scroll up one page.
      Since:
        1.1

    - #### NEXT_TABLE

          public static final MoveFocusAction.Direction NEXT_TABLE

      A value that will make the action focus on a cell in the same column and the first visible row of the next table.
      Since:
        1.1

    - #### PREVIOUS_TABLE

          public static final MoveFocusAction.Direction PREVIOUS_TABLE

      A value that will make the action focus on a cell in the same column and the first visible row of the previous table.
      Since:
        1.1

  - ### Method Detail

    - #### values

          public static MoveFocusAction.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MoveFocusAction.Direction c : MoveFocusAction.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MoveFocusAction.Direction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.